
Runtime Infrastructure - Feature #2506

provide support for substitution variables which can be inserted in PROPATH entries in the directory

and which will be expanded at load/runtime to system-specific locations
Assignee:  % Done: 0%
Target version:    
vendor_id: GCD   

Description

History

#1 - 01/26/2015 12:01 PM - Greg Shah

- Target version changed from 23 to Deployment and Management Improvements

In the 4GL, the PROPATH is often specified in scripts which modify the environment before launching the Progress client binary.  P2J has no such

concept.

Instead, we specify the PROPATH in the server's directory file.  It can be specified as a global default, server-specific default, group or account.  The

problem is that it is very inconvenient/nasty to have to edit the directory.xml to change paths that are system specific.  A potential solution is to

provide some "well known" substitution variables that are:

inserted in the PROPATH entry in the directory (e.g. ".:$P2J_HOME/some/p2j/server/relative/path/:")

the P2J server will resolve the meaning of the vars at runtime when the directory.xml is read/loaded, allowing the location of the server itself and

other runtime state (e.g. possibly even overrides passed on the ServerDriver command line, see #1842) to control these values

The result should be a more flexible deployment approach.

#2 - 01/26/2015 12:01 PM - Greg Shah

- Project changed from Base Language to Runtime Infrastructure

#3 - 11/16/2016 01:08 PM - Greg Shah

- Target version deleted (Deployment and Management Improvements)
